---
import PageHeader from '@/components/PageHeader.vue';
import RequireAuth from '../components/require-auth/RequireAuth.vue';
import QuickSearch from '../components/search/QuickSearch.vue';
import Layout from '../layouts/Layout.astro';

const search = Astro.url.searchParams.get('search') || '';
---

<Layout title="Quick search">
  <main>
    <PageHeader title="Quick search results" />
    <RequireAuth client:only="vue">
      <QuickSearch search={search} client:only="vue" />
    </RequireAuth>
  </main>
</Layout>
